Undo an Action

Undo an Action

Recipes
💳
Generate message signature (v2)
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

📘

Undo an action

How undo an action works in practice:

  1. Search for disputes
  2. Retrieve a single dispute by ID
  3. Make note of the tcn value and the id for the dispute. You will need these both later
  4. Look through the events array to see previousActions with status SUBMITTED
  5. Make a note of the actionId for the previous action to undo. This code is required when using the Undo an Action endpoint
  6. Create and send your Undo an Action endpoint request including the disputeId actionId and tcn you found earlier
Path Params
string
required
length between 19000101000000 and 99991231999999

Unique case identifier assigned to the dispute

string
required
19000101000000 to 99999999999999

Unique identifier assigned to the action taken on the dispute.

Body Params

Undo can be performed for the action taken previously, provided that it was not yet processed in the daily cycle

string
required

Transaction Control Number (used to control concurrent actions and avoid change clashes)

Headers
string
length between 8 and 8

Institution number (8-digit number) associated with the merchant. This information defines the acquirer for the merchant. If a consumer is granted access to this API for multiple institutions, this field must be populated. If access is for only one institution, the API will automatically determine this value, making it optional for the client.

string
required

Optional security header. Used to ensure the request has not been tampered with during transmission. The Message-Signature is the Base64 encoded HMAC hash (SHA256 algorithm with the API Secret as the key.) For more information, refer to the supporting documentation on the Developer Portal.

Responses
204

No Content

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
Want a quick overview?